Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358295 - [i18n][ALL_LANG] wrong translation of error message canceling operation
Summary: [i18n][ALL_LANG] wrong translation of error message canceling operation
Keywords:
Status: ON_QA
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 4.0.1.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Sandro Bonazzola
QA Contact: Bhushan Barve
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 12:53 UTC by Sandro Bonazzola
Modified: 2019-04-16 07:45 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-4.3.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: i18n
rule-engine: ovirt-4.3+
ylavi: planning_ack+
rule-engine: devel_ack+
bbarve: testing_ack+


Attachments (Terms of Use)
Japanese version of the message having no issues (deleted)
2018-01-31 15:11 UTC, Yuko Katabami
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 89091 master MERGED webadmin: Update translations from Zanata for 4.2 post L10N QA 2018-03-16 01:07:25 UTC
oVirt gerrit 89097 ovirt-engine-4.2 MERGED webadmin: Update translations from Zanata for 4.2 post L10N QA 2018-03-18 10:16:21 UTC

Description Sandro Bonazzola 2016-07-20 12:53:42 UTC
Description of problem:
Trying to start a VM requiring more memory than available on the host, error message shows:

"L'host minidell non ha soddisfatto il filtro Memory di tipo ${filterType} perchè ${detailMessage} ."

- variable are not replaced with values
- perchè -> perché
- trailing dot should be attached to last word.
- Memory -> memoria

Comment 1 jniederm 2017-03-16 16:50:05 UTC
Hi Martin, is there any plan to localize filter names?

Comment 2 Martin Sivák 2017-03-17 09:51:17 UTC
Not at the moment, we do not have any mechanism in place for it. But I guess it won't be too hard if it is indeed needed.

Comment 3 jniederm 2017-04-06 10:15:49 UTC
(In reply to Sandro Bonazzola from comment #0)
> Description of problem:
> Trying to start a VM requiring more memory than available on the host, error
> message shows:
> 
> "L'host minidell non ha soddisfatto il filtro Memory di tipo ${filterType}
> perchè ${detailMessage} ."
> 
> - variable are not replaced with values

this becomes fixed by fixing translation of VAR__FILTERTYPE__INTERNAL: "$filterTipo interno" -> "$filterType interno"

> - perchè -> perché
> - trailing dot should be attached to last word.
> - Memory -> memoria

As Martin explained in comment 2 this is name of the filter and names of filters are not translated

Passing to translation team.

Comment 6 Yaniv Kaul 2018-01-31 13:20:58 UTC
Are you planning to fix this?

Comment 7 jniederm 2018-01-31 14:46:12 UTC
The problem remains in master after merging changes from translation cycle 2.

Yuko, what is the plan regarding this bug?

Comment 8 Yuko Katabami 2018-01-31 15:10:43 UTC
I checked the message in Japanese and there is nothing wrong with the translation or variables.

I think this is Italian specific but Italian is not supported by our team.
Translations are all from the community, thus it would be the best if Sandro can take care of this (either fixing himself or assign to someone, or speak to the Italian community)

Comment 9 Yuko Katabami 2018-01-31 15:11:37 UTC
Created attachment 1389023 [details]
Japanese version of the message having no issues

Comment 10 Yaniv Kaul 2018-03-13 07:24:32 UTC
Sandro, see comment 8 - anything you can do about it?

Comment 11 Sandro Bonazzola 2018-03-14 10:13:01 UTC
(In reply to Yaniv Kaul from comment #10)
> Sandro, see comment 8 - anything you can do about it?

I'll look into it

Comment 12 Sandro Bonazzola 2018-03-14 10:43:09 UTC
Fixed italian translation in Zanata, not sure how to get it into ovirt-engine

Comment 13 Yuko Katabami 2018-03-14 11:47:16 UTC
Thank you very much, Sandro.
There will be another pull soon and this fix will be included.

Comment 14 Yaniv Kaul 2018-03-15 14:08:26 UTC
Is this on track to 4.2.2? If not, please defer to 4.2.3.

Comment 15 Sandro Bonazzola 2018-03-15 15:00:16 UTC
(In reply to Yaniv Kaul from comment #14)
> Is this on track to 4.2.2? If not, please defer to 4.2.3.

Redirecting question to sdickers and changing assignee since we need the new pull from zanata to consume this.

Comment 16 Scott Dickerson 2018-03-15 20:11:52 UTC
I did another Zanata pull.  Since the last pull, changes have only been made on the engine.

Comment 17 Yuko Katabami 2018-03-15 21:06:41 UTC
Thank you very much, Scott and Sandro.

Comment 18 Bhushan Barve 2018-04-20 10:34:01 UTC
Checked with 4.2.3-0.1.el7

1. Now I see following message for it_IT:

L'host host1 non ha soddisfatto il filtro Memory di tipo interno perché ha 22960 MB di memoria disponibile. Memoria libera insufficiente per eseguire la VM .

So as per the points mentioned in comment #1:

- variable are replaced with values now.
- 'perchè' has been changed to 'perché'
- Still see a space between the trailing dot and the last word.
- Memory has been changed to memoria (except the one after 'filtro' but that is the filter type I assume. Please correct if I'm wrong)

->So the trailing dot still needs to be attached to the last word for it_IT.


2. Also for pt_BR, I see following message -

O $detailMessage possui memória de 22959 MB disponível. Memória livre insuficiente para executar a MV
O host host1 não satisfez o filtro interno Memory pois ${detailMessage}.

->So here, we still see some variables in the message.

Thus moving it back to assigned.

Comment 19 Red Hat Bugzilla Rules Engine 2018-04-20 10:34:10 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 20 Scott Dickerson 2018-05-01 17:28:04 UTC
Yuko - I'm assigning this to you so the translations can get fixed.  Thanks.

Comment 22 Sandro Bonazzola 2018-07-20 07:13:25 UTC
Michelle can we get this in?

Comment 23 Michelle Kim 2018-07-22 23:55:47 UTC
As we do not have Italian and Brazilian Portuguese translator in-house, I would like to suggest followings:

1) For the Italian issue, ->So the trailing dot still needs to be attached to the last word for it_IT .  

@sandro : Can you please help fixing the Italian side like last time? Thanks!

2) For the pt-BR issue, I suggest we schedule this for 4.3 cycle so that we ask our vendor to fix it.

Comment 24 Sandro Bonazzola 2018-07-23 07:56:41 UTC
(In reply to Michelle Kim from comment #23)
> As we do not have Italian and Brazilian Portuguese translator in-house, I
> would like to suggest followings:
> 
> 1) For the Italian issue, ->So the trailing dot still needs to be attached
> to the last word for it_IT .  
> 
> @sandro : Can you please help fixing the Italian side like last time? Thanks!

Yes, I'll do it.

> 
> 2) For the pt-BR issue, I suggest we schedule this for 4.3 cycle so that we
> ask our vendor to fix it.

Comment 25 Sandro Bonazzola 2019-01-18 15:36:31 UTC
Translations update with patch https://gerrit.ovirt.org/#/c/97081/

Comment 26 Sandro Bonazzola 2019-01-28 09:41:07 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 27 Sandro Bonazzola 2019-01-28 10:04:26 UTC
Moving to QA, the fix was merged in ovirt-engine-4.3.0.1 build.

Comment 28 Lukas Svaty 2019-04-16 07:37:25 UTC
as this is within the translation cycle, no QA form our side.

Do you want to verify this or can we close?

Comment 29 Bhushan Barve 2019-04-16 07:45:51 UTC
Sure, will check it.


Note You need to log in before you can comment on or make changes to this bug.